Форум программистов
 
Контакты: о проблемах с регистрацией, почтой и по другим вопросам пишите сюда - alarforum@yandex.ru, проверяйте папку спам! Обязательно пройдите активизацию e-mail.

Вернуться   Форум программистов > Скриптовые языки программирования > Python
Регистрация

Восстановить пароль
Повторная активизация e-mail

Ответ
 
Опции темы
Старый 23.03.2017, 19:24   #1
agrielka
 
Регистрация: 20.05.2014
Сообщений: 5
Репутация: 10
По умолчанию Statsmodels на windows

Здравствуйте, новичок в python, да и в программировании в общем. Необходимо установить пакет statsmodels на версию python 3.6 В PIP пишет ошибку. К слову, pandas встал без проблем.
Изображения
Тип файла: jpg ошибка.JPG (92.6 Кб, 9 просмотров)
agrielka вне форума   Ответить с цитированием
Старый 23.03.2017, 19:35   #2
Alex11223
Модератор
Заслуженный модератор
 
Регистрация: 12.01.2011
Сообщений: 16,153
Репутация: 3199

icq: 512-765
skype: alexp.frl
По умолчанию

Текст скопируйте, не видно ж ничего.
Если вин7, то в cmd нажать правой кнопкой —> Пометить —> выделить мышкой —> Enter
Alex11223 вне форума   Ответить с цитированием
Старый 23.03.2017, 19:38   #3
agrielka
 
Регистрация: 20.05.2014
Сообщений: 5
Репутация: 10
По умолчанию

Exception:
Traceback (most recent call last):
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\compat\__init__.py", line 73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe0 in position 45: invalid
continuation byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\commands\install.py", line 342, in run
prefix=options.prefix_path,
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\req\req_set.py", line 784, in install
**kwargs
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\req\req_install.py", line 878, in install
spinner=spinner,
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\utils\__init__.py", line 676, in call_subprocess
line = console_to_str(proc.stdout.readline ())
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\compat\__init__.py", line 75, in console_to_str
return s.decode('utf_8')
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe0 in position 45: invalid
continuation byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\commands\install.py", line 385, in run
requirement_set.cleanup_files()
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\req\req_set.py", line 729, in cleanup_files
req.remove_temporary_source()
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\req\req_install.py", line 977, in remove_temporary_source
rmtree(self.source_dir)
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\_vendor\retrying.py", line 49, in wrapped_f
return Retrying(*dargs, **dkw).call(f, *args, **kw)
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\_vendor\retrying.py", line 212, in call
raise attempt.get()
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\_vendor\retrying.py", line 247, in get
six.reraise(self.value[0], self.value[1], self.value[2])
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\_vendor\six.py", line 686, in reraise
raise value
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\_vendor\retrying.py", line 200, in call
attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\utils\__init__.py", line 102, in rmtree
onerror=rmtree_errorhandler)
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\shutil.py",
line 488, in rmtree
return _rmtree_unsafe(path, onerror)
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\shutil.py",
line 387, in _rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info())
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\utils\__init__.py", line 114, in rmtree_errorhandler
func(path)
PermissionError: [WinError 32] Процесс не может получить доступ к файлу, так как
этот файл занят другим процессом: 'C:\\Users\\3EC2~1\\AppData\\Local\ \Temp\\pip
-build-5qnzzjlt\\scipy'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\basecommand.py", line 215, in main
status = self.run(options, args)
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\commands\install.py", line 385, in run
requirement_set.cleanup_files()
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\utils\build.py", line 38, in __exit__
self.cleanup()
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\utils\build.py", line 42, in cleanup
rmtree(self.name)
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\_vendor\retrying.py", line 49, in wrapped_f
return Retrying(*dargs, **dkw).call(f, *args, **kw)
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\_vendor\retrying.py", line 212, in call
raise attempt.get()
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\_vendor\retrying.py", line 247, in get
six.reraise(self.value[0], self.value[1], self.value[2])
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\_vendor\six.py", line 686, in reraise
raise value
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\_vendor\retrying.py", line 200, in call
attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\utils\__init__.py", line 102, in rmtree
onerror=rmtree_errorhandler)
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\shutil.py",
line 488, in rmtree
return _rmtree_unsafe(path, onerror)
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\shutil.py",
line 378, in _rmtree_unsafe
_rmtree_unsafe(fullname, onerror)
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\shutil.py",
line 387, in _rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info())
File "c:\users\антон\appdata\local\progr ams\python\python36-32\lib\site-packag
es\pip\utils\__init__.py", line 114, in rmtree_errorhandler
func(path)
PermissionError: [WinError 32] Процесс не может получить доступ к файлу, так как
этот файл занят другим процессом: 'C:\\Users\\3EC2~1\\AppData\\Local\ \Temp\\pip
-build-5qnzzjlt\\scipy'
agrielka вне форума   Ответить с цитированием
Старый 23.03.2017, 19:46   #4
Alex11223
Модератор
Заслуженный модератор
 
Регистрация: 12.01.2011
Сообщений: 16,153
Репутация: 3199

icq: 512-765
skype: alexp.frl
По умолчанию

Может быть из-за русских букв в имени папки в пути.

Гугл выдал похожий баг репорт https://github.com/pypa/pip/issues/3992
Цитата:
Found a solution for it temporarily you can edit c:\Users\Oroszlány Zsolt\AppData\Local\Programs\Python \Python36\Lib\site-packages\pip\compat\__init__.py line 75, replace return s.decode('utf_8') to return s.decode('latin1').
Alex11223 вне форума   Ответить с цитированием
Старый 23.03.2017, 20:10   #5
agrielka
 
Регистрация: 20.05.2014
Сообщений: 5
Репутация: 10
По умолчанию

Переустановил, начал устанавливать пакеты, дошел до scipy и statsmodels. Вот ошибка:

C:\Users\Антон>C:\Python\Scripts\pi p install statsmodels
Collecting statsmodels
Downloading statsmodels-0.8.0.tar.gz (9.5MB)
100% |██████████████████████████████ ██| 9.5MB 103kB/s
Collecting scipy (from statsmodels)
Using cached scipy-0.19.0.zip
Installing collected packages: scipy, statsmodels
Running setup.py install for scipy ... error
Complete output from command c:\python\python.exe -u -c "import setuptools,
tokenize;__file__='C:\\Users\\3EC2~ 1\\AppData\\Local\\Temp\\pip-build-3fq7j6op\\
scipy\\setup.py';f=getattr(tokenize , 'open', open)(__file__);code=f.read().repla
ce('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --reco
rd C:\Users\3EC2~1\AppData\Local\Temp\ pip-btvx2haj-record\install-record.txt --s
ingle-version-externally-managed --compile:

Note: if you need reliable uninstall behavior, then install
with pip instead of using `setup.py install`:

- `pip install .` (from a git repo or downloaded source
release)
- `pip install scipy` (last SciPy release on PyPI)


lapack_opt_info:
lapack_mkl_info:
libraries mkl_rt not found in ['c:\\python\\lib', 'C:\\', 'c:\\python\\lib
s']
NOT AVAILABLE

openblas_lapack_info:
libraries openblas not found in ['c:\\python\\lib', 'C:\\', 'c:\\python\\l
ibs']
NOT AVAILABLE

atlas_3_10_threads_info:
Setting PTATLAS=ATLAS
c:\python\lib\site-packages\numpy\distutils\system_inf o.py:1051: UserWarning
: Specified path C:\projects\numpy-wheels\windows-wheel-builder\atlas-builds\atl
as-3.10.1-sse2-32\lib is invalid.
pre_dirs = system_info.get_paths(self, section, key)
<class 'numpy.distutils.system_info.atlas_ 3_10_threads_info'>
NOT AVAILABLE

atlas_3_10_info:
<class 'numpy.distutils.system_info.atlas_ 3_10_info'>
NOT AVAILABLE

atlas_threads_info:
Setting PTATLAS=ATLAS
<class 'numpy.distutils.system_info.atlas_ threads_info'>
NOT AVAILABLE

atlas_info:
<class 'numpy.distutils.system_info.atlas_ info'>
NOT AVAILABLE

c:\python\lib\site-packages\numpy\distutils\system_inf o.py:572: UserWarning:

Atlas (http://math-atlas.sourceforge.net/) libraries not found.
Directories to search for the libraries can be specified in the
numpy/distutils/site.cfg file (section [atlas]) or by setting
the ATLAS environment variable.
self.calc_info()
lapack_info:
libraries lapack not found in ['c:\\python\\lib', 'C:\\', 'c:\\python\\lib
s']
NOT AVAILABLE

c:\python\lib\site-packages\numpy\distutils\system_inf o.py:572: UserWarning:

Lapack (http://www.netlib.org/lapack/) libraries not found.
Directories to search for the libraries can be specified in the
numpy/distutils/site.cfg file (section [lapack]) or by setting
the LAPACK environment variable.
self.calc_info()
lapack_src_info:
NOT AVAILABLE

c:\python\lib\site-packages\numpy\distutils\system_inf o.py:572: UserWarning:

Lapack (http://www.netlib.org/lapack/) sources not found.
Directories to search for the sources can be specified in the
numpy/distutils/site.cfg file (section [lapack_src]) or by setting
the LAPACK_SRC environment variable.
self.calc_info()
NOT AVAILABLE

Running from scipy source directory.
non-existing path in 'scipy\\integrate': 'quadpack.h'
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "C:\Users\3EC2~1\AppData\Local\Temp \pip-build-3fq7j6op\scipy\setup.py
", line 416, in <module>
setup_package()
File "C:\Users\3EC2~1\AppData\Local\Temp \pip-build-3fq7j6op\scipy\setup.py
", line 412, in setup_package
setup(**metadata)
File "c:\python\lib\site-packages\numpy\distutils\core.py", line 135, in s
etup
config = configuration()
File "C:\Users\3EC2~1\AppData\Local\Temp \pip-build-3fq7j6op\scipy\setup.py
", line 336, in configuration
config.add_subpackage('scipy')
File "c:\python\lib\site-packages\numpy\distutils\misc_util. py", line 1001
, in add_subpackage
caller_level = 2)
File "c:\python\lib\site-packages\numpy\distutils\misc_util. py", line 970,
in get_subpackage
caller_level = caller_level + 1)
File "c:\python\lib\site-packages\numpy\distutils\misc_util. py", line 907,
in _get_configuration_from_setup_py
config = setup_module.configuration(*args)
File "scipy\setup.py", line 15, in configuration
config.add_subpackage('linalg')
File "c:\python\lib\site-packages\numpy\distutils\misc_util. py", line 1001
, in add_subpackage
caller_level = 2)
File "c:\python\lib\site-packages\numpy\distutils\misc_util. py", line 970,
in get_subpackage
caller_level = caller_level + 1)
File "c:\python\lib\site-packages\numpy\distutils\misc_util. py", line 907,
in _get_configuration_from_setup_py
config = setup_module.configuration(*args)
File "scipy\linalg\setup.py", line 20, in configuration
raise NotFoundError('no lapack/blas resources found')
numpy.distutils.system_info.NotFoun dError: no lapack/blas resources found

----------------------------------------
Command "c:\python\python.exe -u -c "import setuptools, tokenize;__file__='C:\\U
sers\\3EC2~1\\AppData\\Local\\Temp\ \pip-build-3fq7j6op\\scipy\\setup.py';f=getat
tr(tokenize, 'open', open)(__file__);code=f.read().repla ce('\r\n', '\n');f.close
();exec(compile(code, __file__, 'exec'))" install --record C:\Users\3EC2~1\AppDa
ta\Local\Temp\pip-btvx2haj-record\install-record.txt --single-version-externally
-managed --compile" failed with error code 1 in C:\Users\3EC2~1\AppData\Local\Te
mp\pip-build-3fq7j6op\scipy\
agrielka вне форума   Ответить с цитированием
Старый 23.03.2017, 20:26   #6
agrielka
 
Регистрация: 20.05.2014
Сообщений: 5
Репутация: 10
По умолчанию

Проблему решил. Скачал из библиотеки http://www.lfd.uci.edu/~gohlke/pythonlibs/#numpy необходимый пакет и в консоли прописал инсталляцию по имени. Встал и scipy и statsmodels. Спасибо, можно закрывать.
agrielka вне форума   Ответить с цитированием
Старый 23.03.2017, 20:28   #7
Alex11223
Модератор
Заслуженный модератор
 
Регистрация: 12.01.2011
Сообщений: 16,153
Репутация: 3199

icq: 512-765
skype: alexp.frl
По умолчанию

scipy вроде бы не так просто установить https://www.scipy.org/install.html
Самый простой способ это взять WinPython или Anaconda где оно уже включено.
Alex11223 вне форума   Ответить с цитированием
Ответ

Опции темы

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB коды Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Установка Windows 8 вместо Windows 7 на ноутбук acer intel core i5 шохрухсайдалиев Windows 10 26.11.2013 18:48
После установки windows xp 32- битной нельзя установить windows 7 64-битную Mag84 Windows 3 03.12.2012 15:50
Правда ли что Windows xp 64 определяет болше Оперативки чем Windows xp 32 subbota Операционные системы общие вопросы 4 03.06.2012 17:29
Собираюсь перейти с Windows на Linux, какой из дистирибутивов наиболее похож на Windows (Xp,7)? ivan.tiran Windows 5 09.03.2012 17:51
Parascript приглашает программиста со знанием MS Visual С++, API Windows, COM/DCOM, OS Windows kiseleva Работа на постоянной основе - Вакансии 0 15.02.2012 19:49


03:56.


Powered by vBulletin® Version 3.8.8 Beta 2
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.

RusProfile.ru


Справочник российских юридических лиц и организаций.
Проекты отопления, пеллетные котлы, бойлеры, радиаторы
интернет магазин respective.ru